REM Remove all external project references before running this script.
REM The project parm (&1) should be passed into the script on execution.
set echo on
whenever sqlerror exit;
spool delete_project.log
REM &1 = PROJECT

EXECUTE RQDROP_VIEWS(&1);

DELETE FROM RQDOCUMENTTYPEUSERS
WHERE PROJECTID = &1;

DELETE FROM RQREQUIREMENTTYPEUSERS
WHERE PROJECTID = &1;

DELETE FROM RQUSERDEFINEDFIELDUSERS
WHERE PROJECTID = &1;

DELETE FROM RQUSERDEFINEDLISTITEMUSERS
WHERE PROJECTID = &1;

DELETE FROM RQUSERS
WHERE GROUPID IN
   (SELECT USERGROUPID
   FROM RQPROJECTUSERS
   WHERE PROJECTID = &1);

DELETE FROM RQUSERGROUPS
WHERE ID IN
   (SELECT USERGROUPID
   FROM RQPROJECTUSERS
   WHERE PROJECTID = &1);

DELETE RQDISCUSSIONS
WHERE ROOTID IN
   (SELECT DISCUSSIONID
   FROM RQPROJECTDISCUSSIONS
   WHERE PROJECTID = &1);

DELETE RQOVERFLOWHISTORY
WHERE OVERFLOWTYPE = 2
AND OVERFLOWID IN
   (SELECT DOCUMENTID
   FROM RQPROJECTDOCUMENTS
   WHERE PROJECTID = &1);

DELETE RQDOCUMENTS
WHERE ID IN
   (SELECT DOCUMENTID
   FROM RQPROJECTDOCUMENTS
   WHERE PROJECTID = &1);

DELETE RQDOCUMENTTYPES
WHERE ID IN
   (SELECT DOCUMENTTYPEID
   FROM RQPROJECTDOCUMENTTYPES
   WHERE PROJECTID = &1);

DELETE RQTORELATIONSHIPS
WHERE EXTERNALPROJECTID = 0
AND REQUIREMENTID IN
   (SELECT REQUIREMENTID
   FROM RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1);

DELETE RQTORELATIONSHIPS
WHERE EXTERNALPROJECTTOID = 0
AND TOID IN
   (SELECT REQUIREMENTID
   FROM RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1);

DELETE RQTORELATIONSHIPS
WHERE EXTERNALPROJECTID = &1
OR EXTERNALPROJECTTOID = &1;

DELETE RQOVERFLOWHISTORY
WHERE OVERFLOWTYPE = 1
AND OVERFLOWID IN
   (SELECT REQUIREMENTID
   FROM RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1);

DELETE RQREQUIREMENTS
WHERE ID IN
   (SELECT REQUIREMENTID
   FROM RQPROJECTREQUIREMENTS
   WHERE PROJECTID = &1);

DELETE RQUSERDEFINEDFIELDS
WHERE ID IN
   (SELECT USERDEFINEDFIELDID
   FROM RQREQUIREMENTTYPEFIELDS F, RQPROJECTREQUIREMENTTYPES P
   WHERE F.REQUIREMENTTYPEID = P.REQUIREMENTTYPEID
   AND PROJECTID = &1);

DELETE RQREQUIREMENTTYPES
WHERE ID IN
   (SELECT REQUIREMENTTYPEID
   FROM RQPROJECTREQUIREMENTTYPES
   WHERE PROJECTID = &1);

DELETE RQQUERYDEFINITIONS
WHERE ID IN
   (SELECT QUERYID
   FROM RQVIEWS
   WHERE PROJECTID = &1);

DELETE RQQUERYDEFINITIONS
WHERE ID IN
   (SELECT SECONDARYQUERYID
   FROM RQVIEWS
   WHERE PROJECTID = &1);

DELETE RQOVERFLOWHISTORY
WHERE OVERFLOWTYPE = 3
AND OVERFLOWID = &1;

DELETE RQEXTERNALPROJECTS
WHERE ID = &1;

DELETE RQEXTERNALPROJECTS
WHERE ID NOT IN
   (SELECT EXTERNALPROJECTID
   FROM RQPROJECTEXTERNALPROJECTS);

DELETE FROM RQPROJECTS
WHERE ID = &1;
set echo off
prompt
prompt Process completed. Project &1 removed.
spool off


